Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OptExactInfo Struct Reference

## Data Fields
MinMaxLen | mmd
OptAncInfo | anc
int | reach_end
int | ignore_case
int | len
UChar | s [OPT_EXACT_MAXLEN]

## Detailed Description

Definition at line 4309 of file regcomp.c.

## Field Documentation

OptAncInfo OptExactInfo::anc

Definition at line 4311 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), concat_left_node_opt_info(), concat_opt_exact_info(), and set_optimize_info_from_tree().

int OptExactInfo::ignore_case

Definition at line 4314 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), comp_opt_exact_or_map_info(), concat_opt_exact_info(), optimize_node_left(), select_opt_exact_info(), and set_optimize_exact_info().

int OptExactInfo::len

Definition at line 4315 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), comp_opt_exact_or_map_info(), concat_left_node_opt_info(), concat_opt_exact_info(), concat_opt_exact_info_str(), is_full_opt_exact_info(), optimize_node_left(), select_opt_exact_info(), set_optimize_exact_info(), and set_optimize_info_from_tree().

MinMaxLen OptExactInfo::mmd

Definition at line 4310 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), comp_opt_exact_or_map_info(), concat_left_node_opt_info(), select_opt_exact_info(), set_bound_node_opt_info(), and set_optimize_exact_info().

int OptExactInfo::reach_end

Definition at line 4313 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), concat_left_node_opt_info(), concat_opt_exact_info(), and optimize_node_left().

UChar OptExactInfo::s[OPT_EXACT_MAXLEN]

Definition at line 4316 of file regcomp.c.

Referenced by alt_merge_opt_exact_info(), clear_opt_exact_info(), concat_opt_exact_info(), concat_opt_exact_info_str(), select_opt_exact_info(), and set_optimize_exact_info().

The documentation for this struct was generated from the following file:

- regcomp.c